# MAVEN PARENT POM

A parent pom for all the gCube artifacts.

# Enforcements 
* Java 8 (target and source)
* OpenJDK as target Java VM.
* Maven 3.3.9+
* README.md, CHANGELOG.md and LICENSE.md are present in the baseDir of each Maven module
* CHANGELOG.md must declare a tag [v+Pom version] (e.g. [v1.0.0])

# Build Profiles

## gcube-developer
* Dependencies resolved against local, gcube-snapshots and gcube-releases
* Snapshot artifacts installed to local
* Snapshot artifacts deployed to gcube-snapshots
* Deployments of releases artifacts are not permitted

## jenkins-snapshots
* Dependencies resolved against local-snapshots, gcube-snapshots and gcube-releases
* Snapshot artifacts installed to local-snapshots
* Snapshot artifacts deployed to gcube-snapshots
* Deployments of release artifacts are not permitted

## jenkins-staging
* Dependencies resolved against local-staging, gcube-jenkins-staging, gcube-staging and gcube-releases
* Release/snapshot artifacts installed to local-staging
* Release/snapshot artifacts deployed to gcube-jenkins-staging

## jenkins-releases
* Dependencies resolved against local-releases, gcube-releases, gcube-jenkins-staging and gcube staging
* Release artifacts installed to local-releases
* Deployments of snapshot artifacts are not permitted
* Release artifacts deployed to gcube-releases

## dry-run
This profile disables the deployment of the artifacts. 

## disable-java8-doclint
This profile sets an additional parameter for javadoc generation to disables the doclint. 
It avoids the build fails if formal/syntax errors are found in javadoc comments.

